Skip to content

Stats

Get dataset statistics.

Request

GET /api/v1/stats

Example

bash
curl "https://fhir-api.luxera.io/api/v1/stats"
python
import requests

response = requests.get("https://fhir-api.luxera.io/api/v1/stats")
data = response.json()
typescript
const response = await fetch("https://fhir-api.luxera.io/api/v1/stats");
const data = await response.json();
csharp
using var client = new HttpClient();
var response = await client.GetAsync("https://fhir-api.luxera.io/api/v1/stats");
var data = await response.Content.ReadAsStringAsync();

Response

json
{
  "success": true,
  "data": {
    "totalEndpoints": 116803,
    "vendorCount": 220,
    "fhirVersionCounts": {
      "DSTU2": 363,
      "STU3": 0,
      "R4": 111685,
      "R4B": 0,
      "R5": 0,
      "UNKNOWN": 4755
    },
    "lastUpdated": "2026-04-09T03:14:32.584Z"
  }
}

Response Fields

FieldTypeDescription
totalEndpointsnumberTotal endpoints in the dataset
vendorCountnumberNumber of unique EHR vendors
fhirVersionCountsobjectEndpoint count per FHIR version
lastUpdatedstring | nullISO 8601 timestamp of last data refresh

Built by Luxera Software